Bug 1872459 - Bucket listing: raise default rgw_bucket_index_max_aio to 128
Summary: Bucket listing: raise default rgw_bucket_index_max_aio to 128
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 4.1
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.2
Assignee: Matt Benjamin (redhat)
QA Contact: Tejas
URL:
Whiteboard:
Depends On:
Blocks: 1890121
TreeView+ depends on / blocked
 
Reported: 2020-08-25 19:31 UTC by Casey Bodley
Modified: 2021-06-09 16:16 UTC (History)
9 users (show)

Fixed In Version: ceph-14.2.11-43.el8cp, ceph-14.2.11-43.el7cp
Doc Type: Enhancement
Doc Text:
.Ceph Object Gateway’s default shard requests on bucket index, `rgw_bucket_index_max_aio`, increased to 128 Previously, outstanding shard requests on a bucket index was limited to 8 causing slow performance with listing buckets. With this release, the default number of shard requests on a bucket index, `rgw_bucket_index_max_aio`, has been increased from 8 to 128, thereby improving the bucket listing performance.
Clone Of:
Environment:
Last Closed: 2021-01-12 14:56:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github ceph ceph pull 28558 0 None closed [RFC] rgw: raise default rgw_bucket_index_max_aio to 128 2021-01-13 09:48:27 UTC
Red Hat Product Errata RHSA-2021:0081 0 None None None 2021-01-12 14:57:12 UTC

Description Casey Bodley 2020-08-25 19:31:45 UTC
Description of problem:

The maximum of 8 outstanding shard requests on a bucket index is an unnecessary bottleneck, especially for bucket listing which already has issues scaling to larger shard counts. the Objecter's inflight ops throttle is already preventing us from flooding the osds with requests

Comment 1 RHEL Program Management 2020-08-25 19:31:52 UTC
Please specify the severity of this bug. Severity is defined here:
https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity.

Comment 9 errata-xmlrpc 2021-01-12 14:56:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Red Hat Ceph Storage 4.2 Security and Bug Fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0081


Note You need to log in before you can comment on or make changes to this bug.